Package org.silverpeas.components.gallery.model

# Class Order

java.lang.Object
org.silverpeas.components.gallery.model.Order

public class Order extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Order(String orderId)`
  `Order(String userId, String instanceId, Date creationDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreationDate()`
  `String`
  `getInstanceId()`
  `int`
  `getNbRows()`
  `org.silverpeas.core.admin.user.model.UserDetail`
  `getOrderer()`
  `String`
  `getOrderId()`
  `Date`
  `getProcessDate()`
  `String`
  `getProcessUserId()`
  `List<OrderRow>`
  `getRows()`
  `String`
  `getUserId()`
  `String`
  `getUserName()`
  `boolean`
  `isProcessed()`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setOrderer(org.silverpeas.core.admin.user.model.UserDetail orderer)`
  `void`
  `setOrderId(String orderId)`
  `void`
  `setProcessDate(Date processDate)`
  `void`
  `setProcessUserId(String processUserId)`
  `void`
  `setRows(List<OrderRow> rows)`
  `void`
  `setUserId(String userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Order

    public Order(String userId, String instanceId, Date creationDate)

  - ### Order

    public Order(String orderId)

- ## Method Details

  - ### getOrderId

    public String getOrderId()

  - ### setOrderId

    public void setOrderId(String orderId)

  - ### getUserId

    public String getUserId()

  - ### getOrderer

    public org.silverpeas.core.admin.user.model.UserDetail getOrderer()

  - ### setOrderer

    public void setOrderer(org.silverpeas.core.admin.user.model.UserDetail orderer)

  - ### setUserId

    public void setUserId(String userId)

  - ### getInstanceId

    public String getInstanceId()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getCreationDate

    public Date getCreationDate()

  - ### setCreationDate

    public void setCreationDate(Date creationDate)

  - ### getUserName

    public String getUserName()

  - ### getNbRows

    public int getNbRows()

  - ### isProcessed

    public boolean isProcessed()

  - ### getProcessUserId

    public String getProcessUserId()

  - ### setProcessUserId

    public void setProcessUserId(String processUserId)

  - ### getProcessDate

    public Date getProcessDate()

  - ### setProcessDate

    public void setProcessDate(Date processDate)

  - ### getRows

    public List<OrderRow> getRows()

  - ### setRows

    public void setRows(List<OrderRow> rows)